.button {
    @apply flex items-center justify-center px-3 py-1 rounded h-full font-sans font-bold cursor-pointer;
}

.button-primary {
    background-image: linear-gradient(to right, #F5C400, #FFDE5C, #FFE98F);
    background-size: 200% 100%;
    background-position: 0 0;
    box-shadow: 0 0 6px 0 rgba(255,234,0,0.5);
    border: solid 1px gold;
    height: 2.375rem;
    @apply transition-all transition-fast text-neutral-900;

    &:hover {
        box-shadow: 0 0 10px 0 rgba(255,234,0,0.5);
        background-position: 99% 0;
    }

    &:disabled {
        background-image: none;
        @apply border-neutral-200 bg-neutral-200 shadow-none cursor-not-allowed;
    }
}

.button-secondary {
    @apply border rounded shadow-none outline-none border-primary-500 cursor-pointer shadow-none transition-all transition-fast text-neutral-100;

    &:hover {
        @apply border-primary-200;
    }
}


.button-profile  {
    box-shadow: none !important;
    outline: 0 !important;

    .button-profile-background-container {
        @apply absolute inset-0 overflow-hidden rounded;

        .button-profile-background-image {
            opacity: 0.60;
            width: calc(100% + 20px);
            height: calc(100% + 20px);
            margin: -10px 0 0 -10px;
            -webkit-filter: blur(10px);
            filter: blur(10px);
            background-repeat: no-repeat;
            background-position: center top;
            background-size: cover;
        }
    }
}

.button-neutral {
    @apply border rounded border-neutral-200 text-neutral-200 shadow-none cursor-pointer transition-all transition-fast;

    &:hover {
        @apply border-neutral-100 text-neutral-100;
    }
}

.button-hero {
    @apply  m-2 w-56;
}

.button-full {
    @apply w-full;
}
